package  
{
	import flash.media.Sound;
	import starling.display.Image;
	import starling.display.Sprite;
	
	/**
	 * ...
	 * @author Alex
	 */
	public class Alien extends Sprite 
	{
		
		[Embed(source = "Assets/green_bug.png")]
		private var alien1:Class;
		[Embed(source = "Assets/funny_cartoon_germ_bacteria.png")]
		private var alien2:Class;
		[Embed(source = "Assets/explosion.mp3")]
		private var explosionSound:Class
		private var sound:Sound = new explosionSound() as Sound;
		
		public var speed:Number = new Number();
		
		public function Alien() 
		{
			if (Math.random() > 0.5 )
			{
				//addChild(Assets.getAlien() );
				addChild(Image(Image.fromBitmap(new alien1() )) );
			}
			else
			{
				addChild(Image(Image.fromBitmap(new alien2() )) );
			}
			
			this.pivotX = width >> 1;
			this.pivotY = height >> 1;
			//this.scaleX = 0.2;
			//this.scaleY = 0.2;
			
			speed = 2+ (Math.random() * 2);
		}
		
		
		public function kill():void
		{
			// kill Alien
			sound.play();
			this.removeFromParent();
		}
		
		
	}

}