package  
{
	import starling.display.Image;
	import starling.display.Sprite;
	
	/**
	 * ...
	 * @author Alex
	 */
	public class SpaceBackground extends Sprite 
	{
		
		[Embed(source = "Assets/back-Tile.png")]
		private var background:Class;
		
		private var picArray:Array = new Array(Image);
		
		public function SpaceBackground() 
		{
			
			picArray[0] = Image.fromBitmap(new background());
			picArray[1] = Image.fromBitmap(new background());
			picArray[2] = Image.fromBitmap(new background());
			
			this.addChild( picArray[0] );
			this.addChild( picArray[1] );
			this.addChild( picArray[2] );
			
			this.pivotY = height >> 1;
			
			picArray[0].y = -picArray[0].height+1;
			picArray[2].y = picArray[0].height-1;
		}
		
		
		public function move( distance:Number):void
		{
			// move
			this.y += distance;
			//check for borders
			if (this.y >= (picArray[0].height) )
			{
				this.y -= picArray[0].height;
			}
			if (this.y <= 0 )
			{
				this.y += picArray[0].height;
			}
			
		}
		
	}

}