package  
{
	import flash.media.Sound;
	import starling.display.Image;
	import starling.display.Sprite;
	
	/**
	 * ...
	 * @author Alex
	 */
	public class Spaceship extends Sprite 
	{
		
		[Embed(source = "Assets/rocket.png")]
		private var shipPic:Class;
		[Embed(source = "Assets/shoot.mp3")]
		private var shootSound:Class
		private var sound:Sound = new shootSound() as Sound;
		
		public var speed:Number = new Number();
		public var isShooting:Boolean = new Boolean();
		
		private var cooldown:int = new int();
		private var bulletcontainer:Sprite = new Sprite();
		
		public function Spaceship( _bulletContainer:Sprite ) 
		{
			this.bulletcontainer = _bulletContainer;
			this.addChild(Image.fromBitmap(new shipPic()) );
			this.pivotX = width >> 1;
			this.pivotY = height >> 1;
			//this.scaleX = 0.15;
			//this.scaleY = 0.15;
		}
		
		public function shoot():void
		{
			if (cooldown <= 0 && isShooting )
			{
				// shoot
				cooldown = 5;
				var b:Bullet = new Bullet();
				b.x = this.x;
				b.y = this.y;
				bulletcontainer.addChild(b);
				sound.play();
			}
			
			// toDo: cool down every frame
			cooldown--;
		}
		
	}

}